XpSelectInput(3Xp)

NAME
XpSelectInput - Specifies which X Print events, from the specified print context, the client is interested in.

SYNOPSIS
void XpSelectInput ( display, context, event_mask )
      Display *display;
      XPContext context;
      unsigned long event_mask;

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

context
    Specifies the print context from which to select events.

event_mask
    Specifies the event mask. This mask is the bitwise OR one or more of the valid events mask bits (see below).

DESCRIPTION

XpSelectInput selects which X Print events from the specified print context the client is interest in. The X Print Events are generated from a current print context, and not from a window as is the case with XSelectInput.

STRUCTURES
The bits for event_mask are defined in <X11/extensions/Print.h>:

    #define XPNoEventMask		0
    #define XPPrintMask			(1L<<0)
    #define XPAttributeMask		(1L<<1)

The resulting events are defined in <X11/extensions/Print.h>:

    #define XPPrintNotify		0
    #define XPAttributeNotify		1

DIAGNOSTICS

BadValue
    The value specified for event_mask is not valid.

XPBadContext
    The specified print context is not valid.

FILES
<X11/extensions/Print.h>